CoCoALib - Feature #127

Convert DUPFF code to C++
05 Apr 2012 14:27 - John Abbott

Status: In Progress Start date: 05 Apr 2012

Priority: Normal Due date:

Assignee: John Abbott % Done: 50%

Category: New Function Estimated time: 25.00 hours

Target version: CoCoALib-1.0 Spent time: 22.20 hours

Description

Convert the old factorizer C code "DUPFF" into C++.

Related issues:

Related to CoCoALib - Feature #126: New datastructures directory New 05 Apr 2012
Related to CoCoALib - Slug #129: Better GCD New 15 Apr 2012
Related to CoCoALib - Bug #135: Revise interface to SmallFplmpl & friends Closed 20 Apr 2012
Related to CoCoALib - Slug #952: GCD very slow Closed 25 Oct 2016
Related to CoCoALib - Feature #257: Transcribe C4 code for GCD in QQ[X] New 09 Oct 2012
Related to CoCoALib - Feature #718: Insert calls to CheckForInterrupt Closed 21 May 2015

History

#1 - 19 Apr 2012 12:10 - John Abbott
- Estimated time set to 25.00 h

#2 - 22 Nov 2012 15:00 - John Abbott
- Status changed from New to In Progress

- % Done changed from 0 to 20

JAA has written a first prototype.

It works, but is 10% slower than the old C code for multiplication - why???

#3 - 20 Mar 2013 23:22 - John Abbott

- Category set to New Function

- Assignee set to John Abbott

- Target version set to CoCoALib-0.99534 Seoul14
- % Done changed from 20 to 50

I've rewritten most of the DUPFF code in C++ (i.e. using DUPFp).
Still need to do:

1. CVS check-in (done 2013-03-25)

2. complete impl of power

3. correctness testing; write test suite

4. speed testing against old DUPFF code

5. write documentation (from scratch)

6. implement factorization (both Berlekamp and Cantor-Zassenhaus).
#4 - 29 Oct 2013 15:16 - Anna Maria Bigatti
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#5 - 02 Apr 2014 16:58 - John Abbott
- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#6 - 04 Apr 2014 17:14 - John Abbott
- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#7 - 10 Jul 2014 14:18 - John Abbott
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#8 - 25 Oct 2016 23:04 - John Abbott
- Related to Slug #952: GCD very slow added

#9 - 24 Nov 2016 13:23 - John Abbott
- Related to Feature #257: Transcribe C4 code for GCD in QQ[x] added

#10 - 28 Sep 2022 15:04 - John Abbott

Upon rewriting, make sure that calls to CheckForlInterrupt are inserted. (see comment 11 of issue #718)

#11 - 28 Sep 2022 15:04 - John Abbott
- Related to Feature #718: Insert calls to CheckForinterrupt added
https://cocoa.dima.unige.it/redmine/issues/718
http://www.tcpdf.org

